#include <QApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>
#include "../common/sources/Map.h"
#include "bridge.h"

QQmlContext     *ctxt;

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QQmlApplicationEngine engine;

    map.resize();

    // enregistre nos fonctions
    ctxt = engine.rootContext();
    ctxt->setContextProperty("bridge", &bridge);

    // enregistre l'ImageProvider
    engine.addImageProvider("myimageprovider", new MyImageProvider);

    // lance l'interface
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));

    return app.exec();
}
